Redmine - Patch #27219

Show default status on the trackers list
2017-10-18 06:43 - Tomomi Yuzuriha

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.0

Description

| noticed a problem when trying to delete a status.

An user cannot delete a status if the status is set to 'Default status' of some tracker.
Nevertheless, there is no way to know which tracker uses the status as a default status except for each tracker's edit page.
if you register a lot of trackers, it is very hard to check the default status.

To resolve the problem, | suggest showing the default status on the trackers list.
With this small improvement, users can see the default status of all trackers at a glance.

Please see the screenshot below for the details.
trackers_list.png

Patch: trackers_index_trunk_r16967.patch
(Compatible the latest trunk r16967.)

Associated revisions

Revision 17140 - 2018-01-02 01:23 - Go MAEDA

Show default status on trackers/index view (#27219).

Patch by Tomomi Yuzuriha.

History

#1 - 2017-10-19 03:45 - Mischa The Evil
- Target version set to Unplanned backlogs
Tomomi Yuzuriha wrote:
An user cannot delete a status if the status is set to 'Default status' of some tracker.
Nevertheless, there is no way to know which tracker uses the status as a default status except for each tracker's edit page.
if you register a lot of trackers, it is very hard to check the default status.
This seems to be a valid, real-world issue.
To resolve the problem, | suggest showing the default status on the trackers list.

With this small improvement, users can see the default status of all trackers at a glance.

This is IMO a neat solution to the given problem. Setting target to 'unplanned'.

#2 - 2017-10-19 03:51 - Go MAEDA

Mischa, | think we can merge this tiny improvement without any harm and side effects. | would like to set target version to 4.1.0. Is it OK with you?

#3 - 2017-10-19 14:34 - Mischa The Evil

- Target version changed from Unplanned backlogs to 4.1.0

Go MAEDA wrote:

[...]  would like to set target version to 4.1.0. Is it OK with you?
Ok for me. | change the target version to 4.1.0.

#4 - 2018-01-01 13:39 - Go MAEDA

| think showing default status on trackers page improves consistency because API for trackers (GET /trackers.xml) already returns default_status

since Redmine 3.0.0 (see Rest_Trackers).

#5 - 2018-01-02 01:29 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version changed from 4.1.0 to 4.0.0

Committed the patch in r17140. Thank you for reporting and fixing this issue.
